How to rethrow Python exception with new type?

PythonServer Side ProgrammingProgramming

In Python 3.x, the code is subject to exception chaining and we get the output as follows

C:/Users/TutorialsPoint1/~.py
Traceback (most recent call last):
File "C:/Users/TutorialsPoint1/~.py", line 2, in <module>
1/0
ZeroDivisionError: division by zero

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "C:/Users/TutorialsPoint1/~.py", line 4, in <module>
raise ValueError ( "Sweet n Sour grapes" ) from e
ValueError: Sweet n Sour grapes
raja
Published on 06-Dec-2017 16:31:55
Advertisements